RLSA-2023:4034

See a problem?
Import Source
https://storage.googleapis.com/resf-osv-data/RLSA-2023:4034.json
JSON Data
https://api.osv.dev/v1/vulns/RLSA-2023:4034
Related
Published
2023-08-31T16:54:34.048467Z
Modified
2023-08-31T16:56:54.451068Z
Severity
  • CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Summary
Important: nodejs:16 security update
Details

Node.js is a software development platform for building fast and scalable network applications in the JavaScript programming language.

Security Fix(es):

  • c-ares: 0-byte UDP payload Denial of Service (CVE-2023-32067)

  • c-ares: Buffer Underwrite in aresinetnet_pton() (CVE-2023-31130)

  • c-ares: Insufficient randomness in generation of DNS query IDs (CVE-2023-31147)

  • c-ares: AutoTools does not set CARESRANDOMFILE during cross compilation (CVE-2023-31124)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References
Credits
    • Rocky Enterprise Software Foundation
    • Red Hat

Affected packages

Rocky Linux:8 / nodejs

Package

Name
nodejs
Purl
pkg:rpm/rocky-linux/nodejs?distro=rocky-linux-8&epoch=1

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
1:16.19.1-2.module+el8.8.0+1338+00a07a77

Rocky Linux:8 / nodejs-nodemon

Package

Name
nodejs-nodemon
Purl
pkg:rpm/rocky-linux/nodejs-nodemon?distro=rocky-linux-8&epoch=0

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
0:2.0.20-3.module+el8.7.0+1178+d52dba78

Rocky Linux:8 / nodejs-packaging

Package

Name
nodejs-packaging
Purl
pkg:rpm/rocky-linux/nodejs-packaging?distro=rocky-linux-8&epoch=0

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
0:25-1.module+el8.7.0+1108+49363b0d